WCSWARE(1)

NAME
wcsware - Extract WCS keywords for an image

SYNOPSIS
wcsware [-a<alt>] [-f] [-h<hdu>] [-p] [-x] [<fitsfile>]

DESCRIPTION
wcsware extracts the WCS keywords for an image from the specified FITS file, constructs wcsprm structs for each coordinate representation found and performs a variety of operations using them.

The FITS file may be specified according to the syntax understood by cfitsio, for example "file.fits.gz+1" refers to the first extension of a gzip'd FITS file. Use "-" or omit the file name for input from stdin.

OPTIONS

-a<alt>
    Specify an alternate coordinate representation to be used (ignored if there is only one).

-f  Apply wcsfix() to the header.

-h<hdu>
    Move to HDU number (1-relative) which is expected to contain an image array. (Useful for input from stdin.)

-p  Print the struct(s) using wcsprt() (default operation).

-x  Convert pixel coordinates, obtained from stdin, to world coordinates using wcsp2s().

-w  Convert world coordinates, obtained from stdin, to pixel coordinates using wcss2p().